package com.liang.service.impl;

import com.liang.dao.PrjAnnualBudgetRecordDao;
import com.liang.dao.PrjAnnualbudgetdetailDao;
import com.liang.dao.PrjBudgetDao;
import com.liang.entity.PrjAnnualBudgetRecord;
import com.liang.entity.PrjAnnualbudgetdetail;
import com.liang.entity.PrjBudget;
import com.liang.service.PrjAnnualBudgetRecordService;
import com.liang.service.PrjAnnualbudgetdetailService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 年度预算修改记录(PrjAnnualBudgetRecord)表服务实现类
 */
@Service("PrjAnnualBudgetRecordService")
public class PrjAnnualBudgetRecordServiceImpl implements PrjAnnualBudgetRecordService {

    @Resource
    private PrjAnnualBudgetRecordDao prjAnnualBudgetRecordDao;

    @Override
    public List<PrjAnnualBudgetRecord> queryDetailByNys(int nys, int xgr) {
        return prjAnnualBudgetRecordDao.queryDetailByNys(nys, xgr);
    }

    @Override
    public int addHistoryRecord(List<PrjAnnualBudgetRecord> prjAnnualBudgetRecord) {
        return prjAnnualBudgetRecordDao.addHistoryRecord(prjAnnualBudgetRecord);
    }

    @Override
    public List<PrjAnnualBudgetRecord> queryRecordByNdysid(int nys) {
        return prjAnnualBudgetRecordDao.queryRecordByNdysid(nys);
    }

    @Override
    public void deleteHistoryRecord(Integer nys) {
        prjAnnualBudgetRecordDao.deleteHistoryRecord(nys);
    }
}
